## postgresql-common 148

=== debian/changelog ===
postgresql-common (148) unstable; urgency=low

  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.

  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Aug 2013 11:07:48 +0200

postgresql-common (147) unstable; urgency=low

  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2013 09:11:38 +0200

postgresql-common (146) unstable; urgency=low

  [ Christoph Berg ]
  * debian/supported-versions: Use "7.*" to recognize wheezy; point releases
    now increment the second version number component. (Closes: #712586)
  * pg_virtualenv:
    + On error, show tail of server log file.
    + When no command is given, open a shell.
  * pg_createcluster: Add --createclusterconf and --environment options.
  * pg_ctlcluster: Create stats_temp_directory when missing.
  * pg_ctlcluster: You must run this program as the cluster owner ... or root.
  * postgresql-common: Demote dependency on logrotate to recommends.
    (Closes: #714982).

  [ Peter Eisentraut ]
  * PgCommon.pm, pg_createcluster, pg_dropcluster: Don't call external
    programs with full path where not necessary.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jul 2013 16:11:35 +0200

postgresql-common (145) unstable; urgency=low

  [ Christoph Berg ]
  * pg_ctlcluster: Use "install" instead of File::Path to create
    unix_socket_directory. (Introduced in 141, Closes: #710093)

  [ Martin Pitt ]
  * debian/maintscripts-functions, configure_cluster(): Do not trust the
    locale from the environment, as programs like ssh and sudo propagate
    remote and user locale by default. Instead, only use the locale settings
    from /etc/environment and /etc/default/locale, to prevent trying to
    configure the default cluster with a nonexisting or hard to predict
    locale. (LP: #969462, also see Debian #700271)

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2013 17:01:01 +0200

postgresql-common (144) unstable; urgency=low

  * testsuite: Allow overriding the list of versions to test (-v).
  * 040_upgrade: Add a test case for #688960 ("OLD used in query that is not
    in a rule").
  * pg_upgradecluster: Add --quote-all-identifiers to the pg_dump(all)
    invocations so pg_dump-style upgrades do not fail when keywords get
    un-reserved. (Closes: #688960; the pg_upgrade part of this will be fixed
    in PostgreSQL upstream.)
  * pg_ctlcluster: Add --mode shutdown option.
  * pg_virtualenv: Allow running as non-root user.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2013 21:37:47 -0700

postgresql-common (143) unstable; urgency=low

  * debian/supported-versions: Don't explicitly support 9.3 for
    testing/unstable yet, it is still in experimental. (Closes: #707675)
  * debian/rules: Hack the version number of the metapackages to be
    9.3+142really9.1-..., so that they are bigger than the previous botched
    versions. This needs to stay until 9.3 actually goes into unstable.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 May 2013 17:53:49 +0200

postgresql-common (142) unstable; urgency=low

  [ Christoph Berg ]
  * Make all scripts honor PGSYSCONFDIR (defaulting to
    /etc/postgresql-common).
  * The default behavior of pg_createcluster can be configured in
    /etc/postgresql-common/createcluster.conf. This also allows to disable the
    creation of "main" clusters when postgresql server packages are installed,
    and to set parameters in the new postgresql.conf.
  * pg_createcluster: Move setting of log_line_prefix to createcluster.conf.
  * debian/postgresql-common.postgresql.init: Do not die of one cluster fails
    to start. (Closes: #699911)
  * pg_checksystem: Suppress error message for unavailable filesystems.
    (Closes: #705219)
  * pg_upgradecluster: Use a distinct name (pg_hba.conf.pg_upgradecluster) for
    the pg_hba.conf backup, and handle the case where this file already exists
    gracefully.
  * pg_upgradecluster: On upgrades to 9.3, rename unix_socket_directory to
    unix_socket_directories.
  * pg_upgradecluster, t/043_upgrade_ssl_cert.t: Copy server.crt and friends
    in the data directory on upgrade. (Closes: #698958)
  * pg_ctlcluster: Set LANG so non-ascii chars in the server log are not
    replaced by '?'. Thanks to Adrian Vondendriesch for help debugging this.
    (Closes: #671915)

  [ Martin Pitt ]
  * debian/supported-versions: Add 9.3 for testing/unstable.
  * debian/supported-versions: Add Ubuntu 13.10.
  * Bump Standards-Versio to 3.9.4 (no changes necessary).
  * pg_upgradecluster: For upgrades to 9.3, migrate "replication_timeout" to
    "wal_sender_timeout".
  * t/060_obsolete_confparams.t: Add full 9.2 configuration, to test 9.2 → 9.3
    upgrades.

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 May 2013 11:11:58 +0200


