## postgresql-common 152tanglu1

=== debian/changelog ===
postgresql-common (152tanglu1) staging; urgency=low

  * Add Tanglu support to debian/supported-versions

 -- Jon Severinsson <jon@severinsson.net>  Mon, 03 Feb 2014 12:00:00 +0100

postgresql-common (152) unstable; urgency=low

  [ Martin Pitt ]
  * debian/backport-ppa: Drop oneiric/quantal for -9.2, only keep
    lucid/precise.
  * Drop support for obsolete oom_adj, all kernels in all supported
    Debian/Ubuntu releases support oom_score_adj. (See #646245)
  * debian/README.Debian: Fix commands to get a postgres user shell.
  * Change all "su" invocations to system user to specify an explicit shell,
    to fix breakage after latest base-passwd 3.5.30 (which changed system
    users to have no shell).
  * Bump Standards-Version to 3.9.5 (no changes necessary).

  [ Christoph Berg ]
  * pg_virtualenv: Fix program name in manpage.
  * pg_createcluster: --start-conf should override the value from
    createcluster.conf.
  * testsuite: Also mount a tmpfs on /etc/postgresql-common.

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jan 2014 10:56:12 +0100

postgresql-common (151) unstable; urgency=low

  * pg_createcluster: Create /var/run/postgresql when missing.
  * pg_virtualenv: Set PG_CONFIG in single version mode.
  * pg_wrapper: Always use the latest available version of "pg_isready"
    instead of the target cluster's. pg_isready appeared only in 9.3, but is
    usable with older versions as well. Suggested by Peter Eisentraut.
    (Closes: #728599)

 -- Christoph Berg <myon@debian.org>  Thu, 05 Dec 2013 16:32:51 +0100

postgresql-common (150) unstable; urgency=low

  [ Christoph Berg ]
  * Create the postgres group when missing, and add the postgres user to it.
    Could happen when the postgres user was created manually.

  [ Martin Pitt ]
  * debian/supported-versions: Welcome, Ubuntu 14.04! Support 9.3 there.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Oct 2013 22:08:20 +0200

postgresql-common (149) unstable; urgency=low

  * debian/supported-versions: Set default version to 9.3. Drop 9.2 from
    wheezy-backports.
  * /etc/apt/apt.conf.d/01autoremove-postgresql: Mark ^postgresql- as
    NeverAutoRemove, so upgrading the "postgresql" meta package doesn't
    automatically remove access to the old clusters. (Closes: #714725)
  * pg_wrapper: Print a more informative error message when program to execute
    was not found in /usr/lib/postgresql.
  * debian/postgresql-client-common.links: Wrap pg_isready and pg_receivexlog.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Sep 2013 14:15:18 +0200
