=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	# the versionless metapackages need to have version numbers which match
 	# the server version, not the p-common version
 	dh_gencontrol -ppostgresql -ppostgresql-client -ppostgresql-doc -ppostgresql-contrib  -- \
-		-Vdefault-version="$(DEFAULT_VER)" -v'9.3+146really$(DEFAULT_VER)+$${source:Version}'
+		-Vdefault-version="$(DEFAULT_VER)" -v'$(DEFAULT_VER)+$${source:Version}'
 
 ifeq ($(LOGROTATE38),yes)
 	dh_gencontrol -ppostgresql-common -- -Vcommon-breaks="logrotate (<< 3.8)"
