=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.5
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
+Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/trunk
 Build-Depends: debhelper (>= 7.0.50~),
  lsb-release
@@ -18,10 +18,10 @@
  debconf (>= 0.5.00) | debconf-2.0,
  lsb-base (>= 3.0-3),
  ssl-cert (>= 1.0.11),
+ ucf,
  ${misc:Depends}
 Recommends: logrotate
-Breaks: postgresql-9.1 (<< 9.1.1-3~),
- ${common-breaks}
+Breaks: postgresql-9.1 (<< 9.1.1-3~)
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -63,6 +63,7 @@
  postgresql-common (>= 117~),
  lsb-release,
  dctrl-tools,
+ make,
  ${server-dev-all-depends}
 Description: extension build tool for multiple PostgreSQL versions
  The postgresql-server-dev-all package provides the pg_buildext script for
