## postgresql-common 154ubuntu1.1

=== debian/changelog ===
postgresql-common (154ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Nov 2017 08:22:48 -0500

postgresql-common (154ubuntu1) trusty-proposed; urgency=medium

  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Feb 2015 12:35:43 +0100
