## postgresql-common 154ubuntu1.1+esm1

=== debian/changelog ===
postgresql-common (154ubuntu1.1+esm1) trusty-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Privilege Escalation via Arbitrary Directory Creation
    - pg_ctlcluster: Drop privileges before creating socket and stats temp
      directories outside /var/run/postgresql. The default configuration is
      not affected by this change. Users with directories on volatile
      storage (tmpfs) in other locations have to make sure the parent
      directory is writable for the cluster owner.
    - Thanks to Rich Mirch and Christoph Berg.
    - CVE-2019-3466

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 03 Dec 2019 14:28:32 -0300
