## postgresql-common 154+7.0trisquel1

=== debian/changelog ===
postgresql-common (154+7.0trisquel1) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 12 Jan 2015 14:35:10 +0000
