## postgresql-common 154.pgdg10.4+1

=== debian/changelog ===
postgresql-common (154.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-postgresql-common-source-
    distribution=lucid-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:37:45 +0100
