## postgresql-common 154.pgdg12.4+1

=== debian/changelog ===
postgresql-common (154.pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-postgresql-common-source-
    distribution=precise-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:37:57 +0100
