## postgresql-common 154.pgdg13.10+1

=== debian/changelog ===
postgresql-common (154.pgdg13.10+1) saucy-pgdg; urgency=low

  * Rebuild for saucy-pgdg (jenkins-postgresql-common-source-
    distribution=saucy-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:37:40 +0100
