## postgresql-common 154.pgdg14.04+1

=== debian/changelog ===
postgresql-common (154.pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-postgresql-common-source-
    distribution=trusty-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:38:08 +0100
