## postgresql-common 154.pgdg60+1

=== debian/changelog ===
postgresql-common (154.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-common-source-
    distribution=squeeze-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:38:02 +0100
