## postgresql-common 154.pgdg70+1

=== debian/changelog ===
postgresql-common (154.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-postgresql-common-source-
    distribution=wheezy-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:37:51 +0100
