## postgresql-common 154.pgdg+1

=== debian/changelog ===
postgresql-common (154.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgresql-common-source-
    distribution=sid-112, bzr revision 1436)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 21 Feb 2014 13:37:34 +0100
