## postgresql-common 155~120.bzr1449.pgdg10.4+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-postgresql-common-source-
    distribution=lucid-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:16:45 +0200

postgresql-common (155) UNRELEASED; urgency=medium

  * Use "mount --make-rprivate /" inside our "unshare -m" calls.
    (See #739593.)
  * pg_ctlcluster: Add status action, add --foreground option, accept dash
    (and slash) between version and cluster.
  * Add systemd unit files (WIP, not yet installed).
  * postgresql-client: Wrap pg_recvlogical, introduced in 9.4.
  * t/050_encodings.t: 9.4 emits COPY command tags, suppress with psql -q.
  * postgresql: Add Suggests: postgresql-doc. (Closes: #743755)
  * pg_conftool: New script to read and edit PostgreSQL configuration files,
    based on the existing read/edit functions in PgCommon.pm.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 24 Mar 2014 10:34:08 +0100
