## postgresql-common 155~120.bzr1449.pgdg12.4+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-postgresql-common-source-
    distribution=precise-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:16:50 +0200
