## postgresql-common 155~120.bzr1449.pgdg13.10+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg13.10+1) saucy-pgdg; urgency=low

  * Rebuild for saucy-pgdg (jenkins-postgresql-common-source-
    distribution=saucy-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:16:40 +0200
