## postgresql-common 155~120.bzr1449.pgdg14.04+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-postgresql-common-source-
    distribution=trusty-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:16:55 +0200
