## postgresql-common 155~120.bzr1449.pgdg60+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-postgresql-common-source-
    distribution=squeeze-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:17:00 +0200
