## postgresql-common 155~120.bzr1449.pgdg+1

=== debian/changelog ===
postgresql-common (155~120.bzr1449.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgresql-common-source-
    distribution=sid-120, bzr revision 1449)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 22 Apr 2014 23:16:30 +0200
