=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.5
 Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
@@ -80,6 +80,7 @@
 Package: postgresql
 Architecture: all
 Depends: postgresql-${default-version}, ${misc:Depends}
+Suggests: postgresql-doc
 Description: object-relational SQL database (supported version)
  This metapackage always depends on the currently supported PostgreSQL
  database server version.
