=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
-POD1PROGS=pg_wrapper pg_lsclusters
+POD1PROGS=pg_conftool pg_wrapper pg_lsclusters
 POD1PROGS_POD=pg_buildext pg_virtualenv
 POD8PROGS=pg_ctlcluster pg_createcluster pg_dropcluster pg_upgradecluster pg_updatedicts
