## postgresql-common 162

=== debian/changelog ===
postgresql-common (162) unstable; urgency=medium

  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)

  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)

  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

 -- Christoph Berg <myon@debian.org>  Tue, 07 Oct 2014 21:25:25 +0200

postgresql-common (161) unstable; urgency=medium

  * pg_ctlcluster: Refuse root operation when config owner does not match
    data owner, and config owner is not root.
  * Stop automatically updating debian/control from debian/control.in in
    pgxs_debian_control.mk. Instead, implement "checkcontrol" and
    "updatecontrol" actions in pg_buildext. checkcontrol is run from
    pgxs_debian_control.mk and will warn if an update is required.
    Backport and pgdg builds will still automatically update.
    (Closes: #758570)
  * pg_virtualenv, testsuite: Use "ip" to start lo when available.
  * Add iproute2 | net-tools to postgresql-server-dev-all dependencies.
  * Debconf translation updates, thanks!
    + it by Luca Monducci. (Closes: #759808)

 -- Christoph Berg <myon@debian.org>  Fri, 15 Aug 2014 10:13:51 +0200

postgresql-common (160) unstable; urgency=medium

  [ Martin Pitt ]
  * supported-versions: Set 9.4 as default for Ubuntu 14.10.
  * debian/maintscripts-functions: Call update-alternatives under C locale to
    fix parsing for non-English locales. (LP: #1293596)
  * pg_createcluster: Fix test if specified owner/group ID is numeric. Thanks
    Sven Berkvens-Matthijsse! (LP: #1329227)

  [ Christoph Berg ]
  * Use dh-systemd to enable postgresql.service on install. (Closes: #757612)
  * Set Multi-Arch: foreign in postgresql-common, postgresql-client-common,
    postgresql-client, and postgresql-doc, and document this in
    doc/dependencies.{dia,png}. (Closes: #757520)
  * Update examples in README.Debian for 9.4. (Closes: #756007)
  * Install README.systemd.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Aug 2014 15:39:39 +0200

postgresql-common (159) unstable; urgency=low

  * supported-versions: Set 9.4 as default for jessie and unstable.
  * systemd unit files are now installed to their proper locations.
  * Install /usr/lib/tmpfiles.d/postgresql.conf.
  * pgcommon.sh: New shell function module containing get_release and
    locale_gen. Used by supported-versions and testsuite; also usable by other
    packages.
  * pg_ctlcluster, PgCommon.pm: Fix warning on corrupt empty pid files.
  * pg_ctlcluster: New --stdlog option to be used with --foreground that
    redirects stderr to our standard log files. Used in postgresql@.service.
  * pg_ctlcluster: Ignore errors when stat'ing the logfile.
  * pg_ctlcluster: use strict.
  * Debconf translation updates, thanks!
    + da by Joe Dalton. (Closes: #753952)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Jul 2014 11:52:57 +0200

postgresql-common (158) experimental; urgency=medium

  * supported-versions: Add 9.4 on Debian/unstable and pgapt (9.3 is still
    default).
  * Set default log_line_prefix = '%t [%p-%l] %q%u@%d '.
  * Put stats_temp_directory aka pg_stat_tmp into /var/run/postgresql by
    default. (Closes: #739276)
  * pg_lsclusters: Print logfile from postgresql.conf when logging_collector
    in use instead of "custom".
  * Move pg_{create,ctl,upgrade,drop}cluster.8 to section 1, they are in
    /usr/bin anyway.
  * maintscripts-functions: Configure manpage alternatives in -doc packages
    using SPI_connect.3.gz as master.
  * pg_upgradecluster: Deprecate krb_srvname in 9.4. Failing upgrade hook
    scripts will fail the upgrade.
  * pg_ctlcluster: Configure OOM killer using PG_OOM_ADJUST_FILE in 9.5.
  * pg_wrapper: Also accept --cluster=ver/name in a single argument.
  * testsuite: Also mount /dev/shm; with -s, open shell on failure; -f nnn
    starts tests at this sequence number.
  * run-upgrade-scripts, t/100_upgrade_scripts.t: Fork and set uid for running
    the upgrade scripts; use su -c for testing.
  * Start porting the postgresql-common framework to RedHat, backed by the
    PGDG PostgreSQL rpm packages.
  * Debconf translation updates, thanks!
    + fr by Julien Patriarca. (Closes: #751101)
    + ja by victory. (Closes: #751131)
  * debian/copyright: Update copyright holders.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 16:40:16 +0200

postgresql-common (157) unstable; urgency=medium

  * Remove createcluster.conf on purge.
  * Fix testsuite -i to install packages before invoking unshare so apt still
    has network access.

 -- Christoph Berg <myon@debian.org>  Fri, 30 May 2014 21:31:36 +0200

postgresql-common (156) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_upgradecluster: Add missing psql -p argument when determining the
    number of tablespaces in the old cluster.
  * Link pg_archivecleanup from /usr/bin. (Closes: #740593)
  * pg_virtualenv: Use fsync = off for speed.
  * pg_buildext: Pass -cios options to pg_virtualenv.
  * t/140_pg_config.t: Versions >= 9.3 have multiarch-enabled libpq et al.
  * Bump to dh 9.

  [ Martin Pitt ]
  * Fix typo in German debconf translations. Thanks Rhonda for pointing out!

 -- Christoph Berg <myon@debian.org>  Fri, 30 May 2014 00:00:44 +0200

postgresql-common (155) unstable; urgency=medium

  [ Christoph Berg ]
  * postgresql-common: Maintain createcluster.conf using ucf, and add a
    debconf question about the default use of ssl (default true, priority
    medium). (Closes: #743918)
  * Use "mount --make-rprivate /" inside our "unshare -m" calls.
    (See #739593.)
  * pg_ctlcluster: Add status action, add --foreground option, accept dash

