=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Standards-Version: 3.9.5
 Vcs-Bzr: http://anonscm.debian.org/bzr/pkg-postgresql/postgresql-common/trunk/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-common/trunk
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
+ dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
  lsb-release
 
 Package: postgresql-common
 Architecture: all
+Multi-Arch: foreign
 Conflicts: postgresql-7.4, postgresql-8.0
 Depends: postgresql-client-common (>= ${source:Version}), 
  procps, 
@@ -39,6 +41,7 @@
 
 Package: postgresql-client-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${pgdg:Depends},
  netbase
 Recommends: lsb-release, libreadline6
@@ -59,8 +62,9 @@
 
 Package: postgresql-server-dev-all
 Architecture: all
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends},
  postgresql-common (>= 117~),
+ iproute2 | net-tools,
  lsb-release,
  dctrl-tools,
  make,
@@ -95,6 +99,7 @@
 
 Package: postgresql-client
 Architecture: all
+Multi-Arch: foreign
 Depends: postgresql-client-${default-version}, ${misc:Depends}
 Description: front-end programs for PostgreSQL (supported version)
  This metapackage always depends on the currently supported database
@@ -110,6 +115,7 @@
 
 Package: postgresql-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: postgresql-doc-${default-version}, ${misc:Depends}
 Description: documentation for the PostgreSQL database management system
