## postgresql-common 165

=== debian/changelog ===
postgresql-common (165) unstable; urgency=medium

  * Debconf translation updates, thanks!
    + es by Manuel Venturi Porras Peralta. (Closes: #773598)

 -- Christoph Berg <myon@debian.org>  Sun, 04 Jan 2015 18:51:31 +0100

postgresql-common (164) unstable; urgency=medium

  * Init script: Always create /var/run/postgresql on start.
    (Closes: #772824)
  * Debconf translation updates, thanks!
    + pt by Ricardo Silva. (Closes: #767399)
  * t/100_upgrade_scripts.t: Incompatible with eatmydata, remove from
    LD_PRELOAD when detected.
  * t/170_extensions.t: Catch warning with chkpass on 9.5.
  * debian/supported-versions: Support jessie in backports and
    apt.postgresql.org, with 9.4 as default.
  * pgdg/apt.postgresql.org.sh: Support jessie.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Dec 2014 20:00:04 +0100

postgresql-common (163) unstable; urgency=medium

  [ Martin Pitt ]
  * pg_createcluster: Disable copy-on-write semantics for data directory on
    btrfs and similar file systems. It eats a lot of performance and isn't
    necessary for data integrity.
  * debian/supported-versions: Welcome Ubuntu 15.04!

  [ Christoph Berg ]
  * Update VCS URLs.

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Oct 2014 07:04:48 -0400
