## postgresql-common 165+deb8u2~bpo7+1

=== debian/changelog ===
postgresql-common (165+deb8u2~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christoph Berg <myon@debian.org>  Sun, 14 May 2017 18:20:22 +0200

postgresql-common (165+deb8u2) jessie; urgency=medium

  * pg_upgradecluster: Properly upgrade databases with non-login role owners.
    (Closes: #614374, #838812)
  * pg_ctlcluster, t/020_create_sql_remove.t: Protect against symlink in
    /var/log/postgresql/ allowing the creation of arbitrary files elsewhere.
    Discovered by Dawid Golunski, thanks! (CVE-2016-1255)
  * t/TestLib.pm: Cherry-pick program_ok() from master for use in
    t/020_create_sql_remove.t.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Jan 2017 18:48:30 +0100

postgresql-common (165+deb8u1~bpo7+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Apr 2016 11:38:55 +0200

postgresql-common (165+deb8u1) jessie; urgency=medium

  * pg_upgradecluster: Set default dynamic_shared_memory_type = mmap.
    (Closes: #784005, #812206)

    This primarily avoids problems with upgrading existing clusters in a LXC
    container. As earlier PG versions did not have d_s_m_t, the upgraded
    postgresql.conf won't have this setting either, yielding the compiled-in
    default of 'posix' which doesn't work in LXC. Pick something else here to
    avoid that problem. Notably, it's important that this problem is fixed in
    pg_upgradecluster itself because working around the problem is hard as the
    upgrade will fail early without the possibility of manually fixing the
    config. (Newly created clusters do not have that problem because initdb
    probes for a method working in the given system.)

  * t/040_upgrade.t: Skip testing pg_upgrade with datallowconn = f, it does
    not support that anymore as of May 2015.
    (Cherry-pick from master to allow testing the pg_upgradecluster fix)

 -- Christoph Berg <myon@debian.org>  Sat, 26 Mar 2016 16:52:30 +0100

postgresql-common (165~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Enable 9.4 for wheezy-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 24 Nov 2015 15:40:47 +0100
